"db type could not be determined" running py34

Bug #1489059 reported by Thiago Paiva Brito on 2015-08-26
18
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Aodh
Fix Released
Undecided
Shuquan Huang
Barbican
Fix Released
Undecided
Unassigned
Bareon
Undecided
LiuNanke
Cinder
Undecided
Tom Barron
Fuel for OpenStack
Low
LiuNanke
Mitaka
Low
LiuNanke
Newton
Low
LiuNanke
Glance
Undecided
Kairat Kushaev
Glance Client
Undecided
Kairat Kushaev
Ironic
Fix Released
Undecided
Thiago Paiva Brito
Manila
Undecided
Shuquan Huang
OpenStack Heat
Fix Released
Low
Pavlo Shchelokovskyy
OpenStack Identity (keystone)
Low
Shuquan Huang
OpenStack Searchlight
Fix Released
Undecided
Unassigned
Rally
Undecided
LiuNanke
Sahara
Fix Released
Low
Jaxon Wang
cloudkitty
Low
lvdongbing
hacking
Undecided
Unassigned
ironic-lib
Fix Committed
Medium
John L. Villalovos
keystoneauth
Low
Dave Chen
keystonemiddleware
Low
Dave Chen
kolla
Undecided
Md Nadeem
networking-midonet
Low
lei zhang
networking-odl
Low
Isaku Yamahata
networking-ofagent
Undecided
Ayush Garg
neutron
Low
Armando Migliaccio
python-keystoneclient
Low
Dave Chen
python-muranoclient
Low
janonymous
python-solumclient
Undecided
janonymous
python-swiftclient
Undecided
LiuNanke
senlin
High
lvdongbing
tap-as-a-service
Undecided
Reedip
tempest
Undecided
lvdongbing
zaqar
Undecided
lei zhang
python-ironicclient (Ubuntu)
Undecided
Vishal kumar mahajan

Bug Description

When running tox for the first time, the py34 execution fails with an error saying "db type could not be determined".

This issue is know to be caused when the run of py27 preceeds py34 and can be solved erasing the .testrepository and running "tox -e py34" first of all.

Fix proposed to branch: master
Review: https://review.openstack.org/217283

Changed in ironic:
assignee: nobody → Thiago Paiva Brito (thiagop)
status: New → In Progress

Reviewed: https://review.openstack.org/217283
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=bcdacbaf9ac2879db45c480634e5ff8b61aba85f
Submitter: Jenkins
Branch: master

commit bcdacbaf9ac2879db45c480634e5ff8b61aba85f
Author: Thiago Paiva <email address hidden>
Date: Wed Aug 26 12:58:56 2015 -0300

    Put py34 first in the env order of tox

    To solve the problem of "db type could not be determined" on py34
    we have to run first the py34 env to, then, run py27. This patch
    puts py34 first on the tox.ini list of envs to avoid this problem
    to happen.

    Change-Id: Ib09cbc71149ffcc1f36495faf1c6586c4e0a0a86
    Closes-bug: #1489059

Changed in ironic:
status: In Progress → Fix Committed
Changed in neutron:
assignee: nobody → yong sheng gong (gongysh)
Changed in heat:
importance: Undecided → Low
assignee: nobody → Pavlo Shchelokovskyy (pshchelo)

Fix proposed to branch: master
Review: https://review.openstack.org/219781

Changed in heat:
status: New → In Progress

Reviewed: https://review.openstack.org/219781
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=0bc25c8aa811ee99e4a7eb01456c8b6ea180ceea
Submitter: Jenkins
Branch: master

commit 0bc25c8aa811ee99e4a7eb01456c8b6ea180ceea
Author: Pavlo Shchelokovskyy <email address hidden>
Date: Wed Sep 2 16:39:49 2015 +0000

    Run py34 first in default tox run

    this avoids py34 failure in default tox run when testrepository is
    not yet initialized (e.g. fresh repo clone).

    Change-Id: I95d3590ebd67dc4f2c3a53b3da50a3d3ed481f7f
    Closes-Bug: #1489059

Changed in heat:
status: In Progress → Fix Committed
Changed in heat:
milestone: none → liberty-3
status: Fix Committed → Fix Released
Changed in ironic:
milestone: none → 4.1.0
status: Fix Committed → Fix Released
Changed in ironic-lib:
assignee: nobody → John L. Villalovos (happycamp)
status: New → In Progress
importance: Undecided → Medium

Yong: I am taking over

Fix proposed to branch: master
Review: https://review.openstack.org/229720

Changed in neutron:
assignee: yong sheng gong (gongysh) → Armando Migliaccio (armando-migliaccio)
status: New → In Progress
Changed in neutron:
importance: Undecided → Low
milestone: none → mitaka-1

Reviewed: https://review.openstack.org/229720
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=8ce04529e2d40d356f073c29f7f138aeac4dfd8c
Submitter: Jenkins
Branch: master

commit 8ce04529e2d40d356f073c29f7f138aeac4dfd8c
Author: armando-migliaccio <email address hidden>
Date: Wed Sep 30 20:50:13 2015 -0700

    Fix db error when running python34 Unit tests

    Follow fixes [1] to address this potential issue.

    Closes-bug: #1489059

    [1] https://review.openstack.org/#/q/status:merged++topic:bug/1489059,n,z

    Change-Id: Ica389978869ae47c262cd797e85a7d7874254df7

Changed in neutron:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/229616
Committed: https://git.openstack.org/cgit/openstack/ironic-lib/commit/?id=63f83cc9ff7fa5c34f23ae0ef59e6b232b7a5161
Submitter: Jenkins
Branch: master

commit 63f83cc9ff7fa5c34f23ae0ef59e6b232b7a5161
Author: John L. Villalovos <email address hidden>
Date: Wed Sep 30 13:46:32 2015 -0700

    Put py34 first in the env order of tox

    To solve the problem of "db type could not be determined" on py34 we
    have to run first the py34 env to, then, run py27. This patch puts py34
    first on the tox.ini list of envs to avoid this problem to happen.

    Change-Id: I80b755d0aa18db7c55ccaecd1c4f64d4fe09b4c5
    Closes-Bug: #1489059

Thierry Carrez (ttx) on 2015-10-15
Changed in heat:
milestone: liberty-3 → 5.0.0
lvdongbing (dbcocle) on 2015-11-03
Changed in senlin:
assignee: nobody → lvdongbing (dbcocle)

Fix proposed to branch: master
Review: https://review.openstack.org/241070

Changed in senlin:
status: New → In Progress
Qiming Teng (tengqim) on 2015-11-03
Changed in senlin:
importance: Undecided → High
milestone: none → mitaka-1

Reviewed: https://review.openstack.org/241070
Committed: https://git.openstack.org/cgit/openstack/senlin/commit/?id=e841747f229c8041ea844d0719c394e51a48fe35
Submitter: Jenkins
Branch: master

commit e841747f229c8041ea844d0719c394e51a48fe35
Author: lvdongbing <email address hidden>
Date: Mon Nov 2 21:07:22 2015 -0500

    Put py34 first in the env order of tox

    To solve the problem of "db type could not be determined" on py34
    we have to run first the py34 env to, then, run py27. This patch
    puts py34 first on the tox.ini list of envs to avoid this problem
    to happen.
    Closes-bug: #1489059
    Change-Id: I457bd97b8e34c71300abbf909d459e5583e46927

Changed in senlin:
status: In Progress → Fix Committed
Jaxon Wang (jxwang92) on 2015-11-11
Changed in sahara:
assignee: nobody → Jaxon Wang (jxwang92)

Fix proposed to branch: master
Review: https://review.openstack.org/244013

Changed in sahara:
status: New → In Progress
Changed in sahara:
importance: Undecided → Low
milestone: none → mitaka-1

Reviewed: https://review.openstack.org/244013
Committed: https://git.openstack.org/cgit/openstack/sahara/commit/?id=414bb6bf98233a0fd600bab7e58dd2471ee8fee8
Submitter: Jenkins
Branch: master

commit 414bb6bf98233a0fd600bab7e58dd2471ee8fee8
Author: Jaxon Wang <email address hidden>
Date: Wed Nov 11 16:12:12 2015 +0800

    Run py34 first in default tox run

    this avoids py34 failure in default tox run when testrepository is
    not yet initialized (e.g. fresh repo clone).

    Change-Id: I7aa1817cfac3a60e6faabd1b21be736857b4c103
    Closes-Bug: #1489059

Changed in sahara:
status: In Progress → Fix Committed
lvdongbing (dbcocle) on 2015-12-02
Changed in cloudkitty:
assignee: nobody → lvdongbing (dbcocle)

Fix proposed to branch: master
Review: https://review.openstack.org/252158

Changed in cloudkitty:
status: New → In Progress
lvdongbing (dbcocle) on 2015-12-02
Changed in tempest:
assignee: nobody → lvdongbing (dbcocle)
Changed in tempest:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-02
Changed in aodh:
assignee: nobody → Shuquan Huang (shuquan)
Changed in glance-store:
assignee: nobody → Shuquan Huang (shuquan)
Changed in manila:
assignee: nobody → Shuquan Huang (shuquan)
Changed in keystone:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/252436

Changed in aodh:
status: New → In Progress
Changed in manila:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/252439

Changed in glance-store:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/252443

Changed in keystone:
status: New → In Progress

Reviewed: https://review.openstack.org/252158
Committed: https://git.openstack.org/cgit/openstack/cloudkitty/commit/?id=5fd110a9de05e14ad41930e50f9bb2721e7882b9
Submitter: Jenkins
Branch: master

commit 5fd110a9de05e14ad41930e50f9bb2721e7882b9
Author: lvdongbing <email address hidden>
Date: Tue Dec 1 22:21:32 2015 -0500

    Put py34 first in the env order of tox

    To solve the problem of "db type could not be determined" on py34
    we have to run first the py34 env to, then, run py27. This patch
    puts py34 first on the tox.ini list of envs to avoid this problem
    to happen.
    Closes-bug: #1489059
    Change-Id: I9d3a79b865d7f3d86eca8f8dcaee598bbd917c19

Changed in cloudkitty:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/252734

Changed in python-keystoneclient:
assignee: nobody → Dave Chen (wei-d-chen)
status: New → In Progress
Changed in keystonemiddleware:
assignee: nobody → Dave Chen (wei-d-chen)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/252737

Changed in keystoneauth:
assignee: nobody → Dave Chen (wei-d-chen)
status: New → In Progress
Changed in python-keystoneclient:
importance: Undecided → Low
Changed in keystonemiddleware:
importance: Undecided → Low
Changed in keystoneauth:
importance: Undecided → Low
Changed in keystone:
importance: Undecided → Low
milestone: none → mitaka-2

Reviewed: https://review.openstack.org/252439
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=031c49461e2d32505a868ad51a09913a29aa1b21
Submitter: Jenkins
Branch: master

commit 031c49461e2d32505a868ad51a09913a29aa1b21
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Wed Dec 2 22:56:19 2015 +0800

    Put py34 first in the env order of tox

    To solve the problem of "db type could not be determined" on py34 we
    have to run first the py34 env to, then, run py27. This patch puts py34
    first on the tox.ini list of envs to avoid this problem to happen.

    Change-Id: Id54bb80944385579cfa136fce78cb5be55393f81
    Closes-Bug: #1489059

Changed in manila:
status: In Progress → Fix Committed
Changed in glance:
assignee: nobody → Kairat Kushaev (kkushaev)
Changed in python-glanceclient:
assignee: nobody → Kairat Kushaev (kkushaev)

Fix proposed to branch: master
Review: https://review.openstack.org/252857

Changed in python-glanceclient:
status: New → In Progress
Changed in glance:
status: New → In Progress
Changed in networking-midonet:
importance: Undecided → Low
milestone: none → 2.0.0
Changed in cloudkitty:
importance: Undecided → Low
milestone: none → 0.5.0b1

Reviewed: https://review.openstack.org/252442
Committed: https://git.openstack.org/cgit/openstack/glance_store/commit/?id=e3f6e231bc0d0dbf95b83aa8a53e465601f1ebc1
Submitter: Jenkins
Branch: master

commit e3f6e231bc0d0dbf95b83aa8a53e465601f1ebc1
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Wed Dec 2 22:59:07 2015 +0800

    Put py34 first in the env order of tox

    To solve the problem of "db type could not be determined" on py34 we
    have to run first the py34 env to, then, run py27. This patch puts py34
    first on the tox.ini list of envs to avoid this problem to happen.

    Change-Id: I2bd65c7af7c87b6c36439e6e4bb6230eca8d33ee
    Closes-Bug: #1489059

Changed in glance-store:
status: In Progress → Fix Committed

This issue was fixed in the openstack/sahara 4.0.0.0b1 development milestone.

Changed in sahara:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/252436
Committed: https://git.openstack.org/cgit/openstack/aodh/commit/?id=f55993b0b8bc11e32ef9313813fe33bead8e5e37
Submitter: Jenkins
Branch: master

commit f55993b0b8bc11e32ef9313813fe33bead8e5e37
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Wed Dec 2 22:54:27 2015 +0800

    Put py34 first in the env order of tox

    To solve the problem of "db type could not be determined" on py34 we
    have to run first the py34 env to, then, run py27. This patch puts py34
    first on the tox.ini list of envs to avoid this problem to happen.

    Change-Id: I18c626fb7dc8cc805117598946426e54fefed829
    Closes-Bug: #1489059

Changed in aodh:
status: In Progress → Fix Committed
Changed in aodh:
status: Fix Committed → Fix Released
Changed in manila:
status: Fix Committed → Fix Released
Changed in neutron:
status: Fix Committed → Fix Released

Change abandoned by Reedip (<email address hidden>) on branch: master
Review: https://review.openstack.org/252776
Reason: Abandoned as an earlier patch exists
https://review.openstack.org/#/c/252393/

Reviewed: https://review.openstack.org/252393
Committed: https://git.openstack.org/cgit/openstack/neutron-lbaas/commit/?id=93fc926f4146efb67d69aa054fec7bc2bc7c2d2c
Submitter: Jenkins
Branch: master

commit 93fc926f4146efb67d69aa054fec7bc2bc7c2d2c
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Wed Dec 2 21:33:55 2015 +0800

    Put py34 first in the env order of tox

    To solve the problem of "db type could not be determined" on py34 we
    have to run first the py34 env to, then, run py27. This patch puts py34
    first on the tox.ini list of envs to avoid this problem to happen.

    Change-Id: I7e279cbb3a6c4710b8361c8cc2df368bd28c3203
    Closes-Bug: #1489059

Reviewed: https://review.openstack.org/252735
Committed: https://git.openstack.org/cgit/openstack/keystonemiddleware/commit/?id=ecc52be445297b52d9e2f3e80a065f249e0ecb55
Submitter: Jenkins
Branch: master

commit ecc52be445297b52d9e2f3e80a065f249e0ecb55
Author: Dave Chen <email address hidden>
Date: Thu Dec 3 11:57:36 2015 +0800

    Put py34 first in the env order of tox

    To solve the problem of "db type could not be determined" on py34 we
    have to run first the py34 env to, then, run py27. This patch puts py34
    first on the tox.ini list of envs to avoid this problem to happen.

    Change-Id: I6616835bc5e13b07f79be584c4306e2573a002d8
    Closes-Bug: #1489059

Changed in keystonemiddleware:
status: In Progress → Fix Committed
Changed in python-keystoneclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/252734
Committed: https://git.openstack.org/cgit/openstack/python-keystoneclient/commit/?id=46e449c2baabeed7c38567f455354fdf90ec7b81
Submitter: Jenkins
Branch: master

commit 46e449c2baabeed7c38567f455354fdf90ec7b81
Author: Dave Chen <email address hidden>
Date: Thu Dec 3 11:53:57 2015 +0800

    Put py34 first in the env order of tox

    To solve the problem of "db type could not be determined" on py34 we
    have to run first the py34 env to, then, run py27. This patch puts py34
    first on the tox.ini list of envs to avoid this problem to happen.

    Change-Id: I0cc290e9fc13c8d61d933fe4b457008df0a29c5a
    Closes-Bug: #1489059

Reviewed: https://review.openstack.org/252737
Committed: https://git.openstack.org/cgit/openstack/keystoneauth/commit/?id=820aeec0fffb8db32d3072792575548cd0097f5b
Submitter: Jenkins
Branch: master

commit 820aeec0fffb8db32d3072792575548cd0097f5b
Author: Dave Chen <email address hidden>
Date: Thu Dec 3 12:03:28 2015 +0800

    Put py34 first in the env order of tox

    To solve the problem of "db type could not be determined" on py34 we
    have to run first the py34 env, then, run py27. This patch puts py34
    first on the tox.ini list of envs to avoid this problem to happen.

    Change-Id: I31857b82f30b495a77d77a9df70ee31487a906b7
    Closes-Bug: #1489059

Changed in keystoneauth:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/252443
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=bac4d9d21afa0043f98d9243b2abe76a7c6e2ed0
Submitter: Jenkins
Branch: master

commit bac4d9d21afa0043f98d9243b2abe76a7c6e2ed0
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Wed Dec 2 23:04:52 2015 +0800

    Put py34 first in the env order of tox

    To solve the problem of "db type could not be determined" on py34 we
    have to run first the py34 env to, then, run py27. This patch puts py34
    first on the tox.ini list of envs to avoid this problem to happen.

    Change-Id: I36ec1829229081b6bc935ecc0d27836c8699a753
    Closes-Bug: #1489059

Changed in keystone:
status: In Progress → Fix Committed
Changed in keystoneauth:
milestone: none → 2.1.0
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/252858
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=63199d564cef552f86f7b6156d119fcda904bd49
Submitter: Jenkins
Branch: master

commit 63199d564cef552f86f7b6156d119fcda904bd49
Author: kairat_kushaev <email address hidden>
Date: Thu Dec 3 13:02:48 2015 +0300

    Run py34 env first when launching tests

    To resolve "db type could not be determined" when running tox
    for the first time py34 environment need to laucnhed before py27.

    Change-Id: I572d129860119c78134a98f3bea814e6c9756aad
    Closes-Bug: #1489059

Changed in glance:
status: In Progress → Fix Committed
lei zhang (zhang-lei) on 2015-12-07
Changed in networking-midonet:
assignee: nobody → lei zhang (zhang-lei)
status: New → In Progress
lei zhang (zhang-lei) on 2015-12-07
Changed in horizon:
assignee: nobody → lei zhang (zhang-lei)
status: New → In Progress
lei zhang (zhang-lei) on 2015-12-07
Changed in zaqar:
assignee: nobody → lei zhang (zhang-lei)
status: New → In Progress
Fernando Diaz (diazjf) on 2015-12-08
Changed in barbican:
assignee: nobody → Fernando Diaz (diazjf)
Changed in barbican:
status: New → In Progress
Fernando Diaz (diazjf) on 2015-12-08
Changed in barbican:
assignee: Fernando Diaz (diazjf) → nobody
Changed in python-glanceclient:
status: In Progress → Fix Released
Changed in barbican:
status: In Progress → Fix Released
Changed in tempest:
status: In Progress → Fix Released
Changed in ironic-lib:
status: In Progress → Fix Committed
Qiming Teng (tengqim) on 2015-12-14
Changed in senlin:
status: Fix Committed → Fix Released
Changed in keystone:
status: Fix Committed → Fix Released
Matthias Runge (mrunge) on 2015-12-22
no longer affects: horizon
janonymous (janonymous) on 2015-12-22
Changed in murano:
assignee: nobody → janonymous (janonymous)
status: New → Fix Committed
Changed in python-muranoclient:
assignee: nobody → janonymous (janonymous)
status: New → Fix Committed
janonymous (janonymous) on 2015-12-22
Changed in python-solumclient:
assignee: nobody → janonymous (janonymous)
status: New → Fix Committed
Changed in python-solumclient:
status: Fix Committed → In Progress
Changed in python-muranoclient:
importance: Undecided → Low
milestone: none → 0.8.1
status: Fix Committed → In Progress
Changed in python-muranoclient:
status: In Progress → Fix Released
Changed in networking-midonet:
status: In Progress → Fix Released
Ian Cordasco (icordasc) on 2015-12-28
Changed in hacking:
status: New → In Progress
Changed in hacking:
status: In Progress → Fix Released
LiuNanke (nanke-liu) on 2016-01-01
Changed in rally:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress
LiuNanke (nanke-liu) on 2016-01-01
Changed in horizon:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress
LiuNanke (nanke-liu) on 2016-01-03
no longer affects: horizon
Changed in rally:
status: In Progress → Fix Released
Changed in zaqar:
status: In Progress → Fix Released
Reedip (reedip-banerjee) on 2016-01-06
Changed in tap-as-a-service:
assignee: nobody → Reedip (reedip-banerjee)
Changed in searchlight:
status: New → Fix Released
LiuNanke (nanke-liu) on 2016-01-08
Changed in python-swiftclient:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress
22 comments hidden view all 102 comments

Change abandoned by LiuNanke (<email address hidden>) on branch: master
Review: https://review.openstack.org/265106

LiuNanke (nanke-liu) wrote :

fuel-web

Changed in fuel:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress
Changed in wsme:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress
LiuNanke (nanke-liu) on 2016-01-13
Changed in bareon:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/266947

Changed in bareon:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/260476
Committed: https://git.openstack.org/cgit/openstack/bareon/commit/?id=ab03c375d83bf9dee90aa879e3387ffbe5c0b9ff
Submitter: Jenkins
Branch: master

commit ab03c375d83bf9dee90aa879e3387ffbe5c0b9ff
Author: Janonymous <email address hidden>
Date: Mon Dec 21 17:15:25 2015 +0530

    Put py34 first in the env order of tox, and remove py26/py33

    To solve the problem of "db type could
    not be determined" on py34 we have to run first the py34 env to, then,
    run py27. This patch puts py34 first on the tox.ini list of envs to
    avoid this problem to happen.

    This patch also removes the support for py26/py33 as they would not be
    supported from Mitaka Release.

    Change-Id: I248fd2e4e28afb605528e4ec060e28664bc82b5a
    Closes-bug: #1489059

Change abandoned by Aleksandr Gordeev (<email address hidden>) on branch: master
Review: https://review.openstack.org/266947
Reason: sorry for abandoning, it was superseded by
https://review.openstack.org/#/c/260476/

This issue was fixed in the openstack/keystonemiddleware 4.1.0 release.

This issue was fixed in the openstack/python-keystoneclient 2.1.0 release.

Changed in python-keystoneclient:
status: Fix Committed → Fix Released
Changed in keystonemiddleware:
status: Fix Committed → Fix Released
Chris Dent (cdent) on 2016-01-13
no longer affects: wsme
Changed in kolla:
assignee: nobody → MD NADEEM (mail2nadeem92)

Fix proposed to branch: master
Review: https://review.openstack.org/267299

Changed in kolla:
status: New → In Progress

Reviewed: https://review.openstack.org/267299
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=e09e20cdbe0e956765b3ced712d26e5f7a00e75e
Submitter: Jenkins
Branch: master

commit e09e20cdbe0e956765b3ced712d26e5f7a00e75e
Author: MD NADEEM <email address hidden>
Date: Thu Jan 14 10:09:12 2016 +0530

    Put py34 first in the env order of tox

    To solve the problem of "db type could not
    be determined" on py34 we have to run first
    the py34 env to, then, run py27.

    This patch puts py34 first on the tox.ini list
    of envs to avoid this problem to happen.
    Closes-Bug: #1489059

    Change-Id: I4f791dfa620eacdd76cd46f193e190071ab64b6c

Changed in kolla:
status: In Progress → Fix Released
Reedip (reedip-banerjee) on 2016-01-18
Changed in tap-as-a-service:
status: New → Fix Committed
Maciej Relewicz (rlu) on 2016-01-18
Changed in fuel:
importance: Undecided → Low
milestone: none → 8.0
Dmitry Pyzhov (dpyzhov) on 2016-01-18
Changed in fuel:
milestone: 8.0 → 9.0

Reviewed: https://review.openstack.org/260520
Committed: https://git.openstack.org/cgit/openstack/python-solumclient/commit/?id=1780734d209b957344798235d4fd53c0f2fe4d69
Submitter: Jenkins
Branch: master

commit 1780734d209b957344798235d4fd53c0f2fe4d69
Author: Janonymous <email address hidden>
Date: Mon Dec 21 18:23:47 2015 +0530

    Put py34 first in the env order of tox

    To solve the problem of "db type could
    not be determined" on py34 we have to run first the py34 env to, then,
    run py27. This patch puts py34 first on the tox.ini list of envs to
    avoid this problem to happen.

    Change-Id: Ieb28867621ba4c3679cc32bb8288342d18f753c2
    Closes-bug: #1489059

Changed in python-solumclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/252782
Committed: https://git.openstack.org/cgit/openstack/tap-as-a-service/commit/?id=930189e8c6403c53ff3ab68330f0bedb447f3f6f
Submitter: Jenkins
Branch: master

commit 930189e8c6403c53ff3ab68330f0bedb447f3f6f
Author: Reedip Banerjee <email address hidden>
Date: Thu Dec 3 12:27:00 2015 +0530

    Fix db error when running python34 unit tests

    If tests for py27 is executed before py34 tests, then
    there is a chance that py34 related tests may fail.The following
    patch fixes it.

    Ref: https://review.openstack.org/#/q/status:merged++topic:bug/1489059,n,z

    TrivialFix

    Change-Id: I9dd8cab4425eb010a9d03e7c103cd00989a96cda
    Closes-bug: #1489059

Changed in tap-as-a-service:
status: Fix Committed → Fix Released

Change abandoned by Nanke_Liu (lnk) (<email address hidden>) on branch: master
Review: https://review.openstack.org/266941

This issue was fixed in the openstack/neutron-lbaas 8.0.0.0b2 development milestone.

Changed in python-ironicclient (Ubuntu):
assignee: nobody → Vishal kumar mahajan (mahajan-vishal-mca)
Changed in python-saharaclient (Ubuntu):
assignee: nobody → Vishal kumar mahajan (mahajan-vishal-mca)
no longer affects: python-saharaclient (Ubuntu)
Changed in python-ironicclient (Ubuntu):
status: New → Fix Committed

This issue was fixed in the openstack/keystone 9.0.0.0b2 development milestone.

This issue was fixed in the openstack/glance 12.0.0.0b2 development milestone.

This issue was fixed in the openstack/aodh 2.0.0.0b2 development milestone.

This issue was fixed in the openstack/manila 2.0.0.0b2 development milestone.

This issue was fixed in the openstack/python-ironicclient 1.1.0 release.

Ayush Garg (ayushgrg93) on 2016-02-14
Changed in networking-ofagent:
assignee: nobody → Ayush Garg (ayushgrg93)

Fix proposed to branch: master
Review: https://review.openstack.org/279934

Changed in networking-ofagent:
status: New → In Progress

Reviewed: https://review.openstack.org/279934
Committed: https://git.openstack.org/cgit/openstack/networking-ofagent/commit/?id=14184ef7cb5ce5a6b61e0fcec89412f6b2630cb5
Submitter: Jenkins
Branch: master

commit 14184ef7cb5ce5a6b61e0fcec89412f6b2630cb5
Author: Ayush Garg <email address hidden>
Date: Sun Feb 14 14:04:46 2016 +0530

    Run py34 first in default tox run

    this avoids py34 failure in default tox run when testrepository is
    not yet initialized (e.g. fresh repo clone).

    Change-Id: I23ec5be0ea60ecfc5344c705bb08fc91e08d271f
    Closes-Bug: #1489059

Changed in networking-ofagent:
status: In Progress → Fix Released

This issue was fixed in the openstack/glance_store 0.11.0 release.

This issue was fixed in the openstack/python-glanceclient 2.0.0 release.

Tom Barron (tpb) on 2016-03-04
Changed in cinder:
assignee: nobody → Tom Barron (tpb)
status: New → In Progress

Reviewed: https://review.openstack.org/287802
Committed: https://git.openstack.org/cgit/openstack/neutron-vpnaas/commit/?id=b4b22a1f373794a7a13ec85a8386587fc541cb49
Submitter: Jenkins
Branch: master

commit b4b22a1f373794a7a13ec85a8386587fc541cb49
Author: Ihar Hrachyshka <email address hidden>
Date: Thu Mar 3 14:48:11 2016 +0100

    Put py34 first in the env order of tox

    To solve the problem of "db type could not be determined" on py34 we
    have to run first the py34 env, then, run py27. This patch puts py34
    first on the tox.ini list of envs to avoid this problem to happen.

    Change-Id: I9457f7e05adb77d4b034ef01e7e51d95fc066013
    Closes-bug: #1489059

no longer affects: murano
Kairat Kushaev (kkushaev) wrote :

Fixed in Glance 12.0.0.0b3

no longer affects: glance-store
Changed in glance:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/288696
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=1787244db42422db4f853a6acd845c800e7ce995
Submitter: Jenkins
Branch: master

commit 1787244db42422db4f853a6acd845c800e7ce995
Author: Tom Barron <email address hidden>
Date: Fri Mar 4 14:20:52 2016 -0500

    Run py34 tests with plain 'tox' command

    Now that all cinder unit tests pass on python 3.4 [1], we can run py34
    tests by default alongside py27 and pep8.

    This commit also addresses the annoyance of py34 tox tests failing with
    'db type could not be determined' if py27 tests were initially run in
    the workspace.

    [1] https://haypo.github.io/openstack_mitaka_python3.html

    Change-Id: If60e5d0d3185e78f38fa2bfc7b6bb4840f09d840
    Closes-bug: #1489059

Changed in cinder:
status: In Progress → Fix Released

This issue was fixed in the openstack-dev/hacking 0.11.0 release.

Changed in cloudkitty:
status: Fix Committed → Fix Released

This issue was fixed in the openstack/cinder 9.0.0.0b1 development milestone.

This issue was fixed in the openstack/os-cloud-config 5.0.0.0b1 development milestone.

1 comments hidden view all 102 comments

This issue was fixed in the openstack/pymod2pkg 0.4.0 release.

Changed in networking-odl:
assignee: nobody → Isaku Yamahata (yamahata)
importance: Undecided → Low
status: New → In Progress

Reviewed: https://review.openstack.org/331399
Committed: https://git.openstack.org/cgit/openstack/networking-odl/commit/?id=5f756e9b409907c1ec5f104d6ddebffa3ec76782
Submitter: Jenkins
Branch: master

commit 5f756e9b409907c1ec5f104d6ddebffa3ec76782
Author: Isaku Yamahata <email address hidden>
Date: Fri Jun 17 21:31:42 2016 -0700

    Fix db error when running python34 Unit tests

    Follow fixes [1] to address this potential issue.

    [1] https://review.openstack.org/#/q/status:merged++topic:bug/1489059,n,z
    Closes-bug: #1489059
    Change-Id: If0e36577be1711e1091d50e2c6668e63013a2c66

Changed in networking-odl:
status: In Progress → Fix Released

Change abandoned by Jaivish Kothari(janonymous) (<email address hidden>) on branch: master
Review: https://review.openstack.org/260522
Reason: Thanks for reviews :) , i think this patch is not needed now.

This issue was fixed in the openstack/networking-odl 3.0.0 release.

This issue was fixed in the openstack/automaton 1.2.0 release.

This issue was fixed in the openstack/python-mistralclient 2.0.0 release.

This issue was fixed in the openstack/python-zaqarclient 1.0.0 release.

This issue was fixed in the openstack/networking-odl 3.0.0 release.

David Rabel (rabel-b1) on 2017-03-13
Changed in python-openstackclient:
assignee: nobody → David Rabel (rabel-b1)
no longer affects: python-openstackclient
Displaying first 40 and last 40 comments. View all 102 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers